# List freight shipment documents

Products
            Plans
          
        
        
          
            
              
              Formerly ShipEngine
            
            
              Free
              Advanced
              Enterprise
            
          
          
            
              
            
            
              Free
              Starter
              Standard
              Premium
            
          
        
      
      
        
          Learn about products and plans
          
        
      
    

List the documents available for a freight shipment, such as the Bill of Lading, pallet labels, and the proof of delivery. Documents become available as the shipment progresses: the Bill of Lading is generated at booking, while a proof of delivery only exists after delivery.

Each document's url is a path on the API host that returns the PDF, for example https://api.shipstation.com/v2/downloads/....

Endpoint: GET /v2/freight/shipments/{freight_shipment_id}/documents
Version: 2.0.0
Security: api_keys

## Path parameters:

  - `freight_shipment_id` (string, required)
    The identifier of the freight shipment.
    Example: "se-28529731"

## Response 200 fields (application/json):

  - `documents` (array)
    The documents available for the shipment. The list grows as the shipment progresses — a proof of delivery, for example, only exists after delivery.

  - `documents.type` (string)
    The type of document.
    Enum: "bill_of_lading", "bol_pallet_label_combined", "certificate_of_insurance", "certificate_of_insurance_instructions", "certificate_of_origin_us", "certificate_of_origin_usmca", "certificate_of_origin_usmca_instructions", "international_commercial_invoice", "packing_list", "pallet_label", "pallet_label_4x6", "proof_of_delivery", "quote", "weight_and_inspection"

  - `documents.created_at` (string,null)
    When the document was created.
    Example: "2026-04-16T14:32:07Z"

  - `documents.url` (string,null)
    The path to download the document as a PDF, relative to the API host. Resolve it against https://api.shipstation.com to get the full URL.
    Example: "/v2/downloads/10/a1b2c3d4e5f6/bill_of_lading.pdf"

## Response 400 fields (application/json):

  - `request_id` (string, required)
    A UUID that uniquely identifies the request id.
This can be given to the support team to help debug non-trivial issues that may occur
    Example: "aa3d8e8e-462b-4476-9618-72db7f7b7009"

  - `errors` (array, required)
    The errors associated with the failed API call

  - `errors.error_source` (string, required)
    The source of the error, as indicated by the name this informs us if the API call failed because of the
carrier, the order source, the ShipStation API itself, or the underlying ShipEngine platform.
    Enum: "carrier", "order_source", "ShipStation", "shipengine"

  - `errors.error_type` (string, required)
    The type of error
    Enum: "account_status", "business_rules", "validation", "security", "system", "integrations"

  - `errors.error_code` (string, required)
    The error code specified for the failed API Call
    Enum: "auto_fund_not_supported", "batch_cannot_be_modified", "carrier_conflict", "carrier_disconnected", "carrier_not_connected", "carrier_not_supported", "confirmation_not_supported", "default_warehouse_cannot_be_deleted", "field_conflict", "field_value_required", "forbidden", "identifier_conflict", "identifiers_must_match", "insufficient_funds", "invalid_address", "invalid_billing_plan", "invalid_field_value", "invalid_identifier", "invalid_status", "invalid_string_length", "label_images_not_supported", "meter_failure", "order_source_not_active", "rate_limit_exceeded", "refresh_not_supported", "request_body_required", "return_label_not_supported", "settings_not_supported", "subscription_inactive", "terms_not_accepted", "tracking_not_supported", "trial_expired", "unauthorized", "unknown", "unspecified", "verification_failure", "warehouse_conflict", "webhook_event_type_conflict", "customs_items_required", "incompatible_paired_labels", "invalid_charge_event", "invalid_object", "no_rates_returned", "freight_connection_inactive", "freight_provider_id_required", "freight_shipment_not_found", "freight_tracking_not_available", "freight_tracking_not_found", "freight_shipment_not_batchable"

  - `errors.message` (string, required)
    An error message associated with the failed API call
    Example: "Body of request cannot be null."

  - `errors.field_name` (string)
    The name of the field that caused the error (only present for validation errors)
    Example: "inventory_warehouse_id"

  - `errors.field_value` (string)
    The invalid value that was provided for the field (only present for validation errors)
    Example: "invalid-id"


